summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAkinori Hattori <hattya@gentoo.org>2006-05-16 13:54:08 +0000
committerAkinori Hattori <hattya@gentoo.org>2006-05-16 13:54:08 +0000
commit1836dee43fc7972a660673ade7a520187d0511ca (patch)
tree5ca86ab14935938d3b4477882e285bf1ea1d369d /eclass/subversion.eclass
parentupdate metadata.xml (diff)
downloadhistorical-1836dee43fc7972a660673ade7a520187d0511ca.tar.gz
historical-1836dee43fc7972a660673ade7a520187d0511ca.tar.bz2
historical-1836dee43fc7972a660673ade7a520187d0511ca.zip
fixes bug #132382
Diffstat (limited to 'eclass/subversion.eclass')
-rw-r--r--eclass/subversion.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index 69bacd937935..bce5db8f6140 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.31 2006/04/30 09:26:56 hattya Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.32 2006/05/16 13:54:08 hattya Exp $
## --------------------------------------------------------------------------- #
# Author: Akinori Hattori <hattya@gentoo.org>
@@ -181,7 +181,7 @@ function subversion_svn_fetch() {
# export to the ${WORKDIR}
# "svn export" has a bug. see http://bugs.gentoo.org/119236
#svn export "${ESVN_STORE_DIR}/${ESVN_CO_DIR}" "${S}" || die "${ESVN}: can't export to ${S}."
- rsync -a --exclude=".svn/" "${ESVN_STORE_DIR}/${ESVN_CO_DIR}/" "${S}" || die "${ESVN}: can't export to ${S}."
+ rsync -rlpgo --exclude=".svn/" "${ESVN_STORE_DIR}/${ESVN_CO_DIR}/" "${S}" || die "${ESVN}: can't export to ${S}."
echo
}